//
//  SCSFactoryAxis.swift
//  SciChartSwiftDemo
//
//  Created by Mykola Hrybeniuk on 6/2/16.
//  Copyright © 2016 SciChart Ltd. All rights reserved.
//

import Foundation
import SciChart

class SCSFactoryAxis {
    
    static func createDefaultNumericAxis(withAxisStyle axisStyle: SCIAxisStyle, axisId: String, isVisible: Bool = true) -> SCIAxis2D {
        let axis = SCINumericAxis()
        axis.axisId = axisId
        axis.style = axisStyle
        axis.isVisible = isVisible
        var valueYMin: Float = 0.1
        var valueYMax: Float = 0.1
        axis.autoRange = .Always
        axis.growBy = SCIFloatRange(min: SCI_constructGenericTypeWithInfo(&valueYMin, .Float),
                                    max: SCI_constructGenericTypeWithInfo(&valueYMax, .Float))
        return axis
    }
    
    static func createDefaultDateTimeAxis(withAxisStyle axisStyle: SCIAxisStyle, axisId: String) -> SCIAxis2D {
        let axis = SCIDateTimeAxis()
        axis.style = axisStyle
        axis.axisId = axisId
        axis.textFormatting = "dd/MM/yyyy"
        var valueXMin: Float = 0.1
        var valueXMax: Float = 0.1
        axis.growBy = SCIDoubleRange(min: SCI_constructGenericTypeWithInfo(&valueXMin, .Float),
                                     max: SCI_constructGenericTypeWithInfo(&valueXMax, .Float))
        return axis
    }
    
    static func createCategoryDateTimeAxis(withAxisStyle axisStyle: SCIAxisStyle, axisId: String) -> SCIAxis2D {
        
        let axis = SCICategoryDateTimeAxis()
        axis.style = axisStyle
        axis.axisId = axisId
        var valueXMin: Float = 0.1
        var valueXMax: Float = 0.1
        axis.growBy = SCIDoubleRange(min: SCI_constructGenericTypeWithInfo(&valueXMin, .Float),
                                     max: SCI_constructGenericTypeWithInfo(&valueXMax, .Float))
        return axis
        
        
    }
    
}