﻿using System;
using SciChart;
using UIKit;

namespace XamarinTestingLicensing
{
    public partial class ViewController : UIViewController
    {
        SciChart.iOS.Charting.SCIChartSurfaceView surfaceView;
        SciChart.iOS.Charting.SCIChartSurface surface;

        protected ViewController(IntPtr handle) : base(handle)
        {
            // Note: this .ctor should not contain any initialization logic.
        }

        public override void ViewDidLoad()
        {
            base.ViewDidLoad();
            // Perform any additional setup after loading the view, typically from a nib.

            surfaceView = new SciChart.iOS.Charting.SCIChartSurfaceView();
            surfaceView.Frame = View.Frame;
            surfaceView.TranslatesAutoresizingMaskIntoConstraints = true;
            this.View.Add(surfaceView);

            surface = new SciChart.iOS.Charting.SCIChartSurface(surfaceView);
            surface.AttachAxis(new SciChart.iOS.Charting.SCINumericAxis(), true);
            surface.AttachAxis(new SciChart.iOS.Charting.SCINumericAxis(), false);

            var seriesBackgroundBrush = new SciChart.iOS.Charting.SCIBrushSolid(0xFF1e1c1c);

            surface.Style.BackgroundBrush = seriesBackgroundBrush;
            surface.Style.SeriesBackgroundBrush = seriesBackgroundBrush;

            surface.InvalidateElement();
        }

        public override void DidReceiveMemoryWarning()
        {
            base.DidReceiveMemoryWarning();
            // Release any cached data, images, etc that aren't in use.
        }
    }
}
